Skip to main content
GET
/
v1
/
cpn
/
payments
List payments
curl --request GET \
  --url https://api.circle.com/v1/cpn/payments \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "type": "payment",
      "id": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
      "quoteId": "custom_ref_id",
      "paymentMethodType": "SPEI",
      "blockchain": "ETH-SEPOLIA",
      "senderAddress": "0xe01be9cdd9e744ae6a709794bfe531ec3ec0671c",
      "refCode": "custom_ref_id",
      "customerRefId": "custom_ref_id",
      "expireDate": "2023-01-01T12:04:05Z",
      "createDate": "2023-01-01T12:04:05Z",
      "status": "COMPLETED",
      "useCase": "B2B",
      "reasonForPayment": "PMT001",
      "sourceAmount": {
        "amount": "110.270000",
        "currency": "USDC"
      },
      "destinationAmount": {
        "amount": "183.24",
        "currency": "MXN"
      },
      "fees": {
        "breakdown": [
          {
            "amount": {
              "amount": "0.240000",
              "currency": "USDC"
            },
            "type": "BFI_TRANSACTION_FEE"
          }
        ],
        "totalAmount": {
          "amount": "110.270000",
          "currency": "USDC"
        }
      },
      "refundAddress": "0x7d9f3f9c2b7e4c0a5a9f3e8b4d2c1a0f5e6d7c8b",
      "beneficiaryRefId": "custom_ref_id",
      "fiatNetworkPaymentRef": "custom_ref_id",
      "failureReason": "CANCELLED",
      "failureCode": "PM01001",
      "rfis": [
        {
          "id": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
          "status": "APPROVED"
        }
      ],
      "onChainTransactions": [
        {
          "id": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
          "status": "PENDING"
        }
      ],
      "fiatSettlementTime": {
        "max": "3",
        "min": "1",
        "unit": "DAYS"
      },
      "refunds": [
        {
          "id": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
          "status": "CREATED",
          "amount": {
            "amount": "110.270000",
            "currency": "USDC"
          },
          "transactionHash": "<string>"
        }
      ],
      "metadata": {},
      "statusAddendum": "IN_MANUAL_REVIEW"
    }
  ]
}

Authorizations

Authorization
string
header
required

Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are requred to make a successful request.

Query Parameters

status
enum<string>

Filter by the payment status. If specified, it will only return the payments with the specified status. Otherwise, it will return payments including all the possible statues The current status of a payment

Available options:
CREATED,
CRYPTO_FUNDS_PENDING,
FIAT_PAYMENT_INITIATED,
COMPLETED,
FAILED
Example:

"COMPLETED"

customerRefId
string

Filter by the customer reference ID from OFI. If specified, it will return the payments associated with this customer. Otherwise, it will return payments including all customers. Reference or description used to identify the object.

Example:

"custom_ref_id"

refCode
string

Filter by the payment ref code. If specified it will return the payments associated with this refcode. Otherwise, it will return payments across all ref codes. Reference or description used to identify the object.

Example:

"custom_ref_id"

from
string<date-time>

Queries items created since the specified date-time (inclusive) in ISO 8601 format.

Example:

"2023-01-01T12:04:05Z"

to
string<date-time>

Queries items created before the specified date-time (inclusive) in ISO 8601 format.

Example:

"2023-01-01T12:04:05Z"

pageAfter
string<uuid>

A collection ID value used for pagination.

It marks the exclusive begin of a page. When provided, the collection resource will return the next n items after the id, with n being specified by pageSize.

The items will be returned in the natural order of the collection.

The resource will return the first page if neither pageAfter nor pageBefore are specified.

SHOULD NOT be used in conjunction with pageBefore.

pageBefore
string<uuid>

A collection ID value used for pagination.

It marks the exclusive end of a page. When provided, the collection resource will return the next n items before the id, with n being specified by pageSize.

The items will be returned in the natural order of the collection.

The resource will return the first page if neither pageAfter nor pageBefore are specified.

SHOULD NOT be used in conjunction with pageAfter.

pageSize
integer
default:50

Limits the number of items to be returned.

Some collections have a strict upper bound that will disregard this value. In case the specified value is higher than the allowed limit, the collection limit will be used.

If avoided, the collection will determine the page size itself.

Required range: 1 <= x <= 200

Response

Payments found.

data
object[]
required

Array of payments containing all payment details including source and destination amounts, fees, status, and related transactions